Skip to main content
Get notices by land id
curl --request GET \
  --url https://api.campflare.com/v2/land/:id/notices
import requests

url = "https://api.campflare.com/v2/land/:id/notices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.campflare.com/v2/land/:id/notices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "title": "<string>",
    "source": {
      "name": "<string>",
      "url": "<string>"
    },
    "description": "<string>",
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z",
    "geometry_summary": {
      "point": {
        "latitude": 123,
        "longitude": 123
      },
      "bbox": {
        "min_latitude": 123,
        "max_latitude": 123,
        "min_longitude": 123,
        "max_longitude": 123
      }
    },
    "target": {
      "id": "<string>"
    },
    "geometry": {}
  }
]
{
  "error": {
    "message": "<string>",
    "kind": "<string>"
  }
}
GET /land/:id/notices
This endpoint only includes relevant notices. Notices will automatically expire when they are no longer relevant. Historical notices will be supported in a future version of this API.

Path Parameters

id
string
required

Unique identifier of the land

Query Parameters

include_geometry
boolean
default:false

Includes the GeoJSON of the notice (Point, Polygon, or Multipolygon).

include_intersecting
boolean
default:false

Includes notices that overlap the land geometrically or are inside the land. For example a notice at the state level, a campground inside the land, or an extreme weather alert.

Response

Array of notices

id
string
required

Globally unique notice identifier

title
string
required

Human-readable headline

source
object
required
description
string

Optional long-form body text

kind
enum<string>

Top-level category. Note that more kinds may be added here.

Available options:
weather,
fire,
closure
severity
enum<string>

Relative urgency / impact

Available options:
info,
minor,
moderate,
severe,
extreme
start
string<date-time>

ISO-8601 start timestamp

end
string<date-time>

ISO-8601 end timestamp

geometry_summary
object

Lightweight geometry hint

target
object

If the notice is directly tied to a target (campground, land, etc), this field will be set. Omitted for free-floating polygons such as random weather alerts.

geometry
object

GeoJSON geometry object (Point, Polygon, MultiPolygon, etc.). Set the include_geometry flag to populate this field.